diff --git a/guava/src/com/google/common/collect/Multimap.java b/guava/src/com/google/common/collect/Multimap.java
index e1a0a8e..ac3ac75 100644
--- a/guava/src/com/google/common/collect/Multimap.java
+++ b/guava/src/com/google/common/collect/Multimap.java
@@ -18,10 +18,6 @@ package com.google.common.collect;
 
 import static com.google.common.base.Preconditions.checkNotNull;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.errorprone.annotations.CanIgnoreReturnValue;
-import com.google.errorprone.annotations.CompatibleWith;
-import com.google.errorprone.annotations.DoNotMock;
 import java.util.Collection;
 import java.util.List;
 import java.util.Map;
@@ -29,7 +25,6 @@ import java.util.Map.Entry;
 import java.util.Set;
 import java.util.function.BiConsumer;
 import javax.annotation.CheckForNull;
-import org.checkerframework.checker.nullness.qual.Nullable;
 
 /**
  * A collection that maps keys to values, similar to {@link Map}, but in which each key may be
@@ -160,10 +155,8 @@ import org.checkerframework.checker.nullness.qual.Nullable;
  * @author Jared Levy
  * @since 2.0
  */
-@DoNotMock("Use ImmutableMultimap, HashMultimap, or another implementation")
-@GwtCompatible
 @ElementTypesAreNonnullByDefault
-public interface Multimap<K extends @Nullable Object, V extends @Nullable Object> {
+public interface Multimap<K extends Object, V extends Object> {
   // Query Operations
 
   /**
@@ -213,7 +206,6 @@ public interface Multimap<K extends @Nullable Object, V extends @Nullable Object
    * @return {@code true} if the method increased the size of the multimap, or {@code false} if the
    *     multimap already contained the key-value pair and doesn't allow duplicates
    */
-  @CanIgnoreReturnValue
   boolean put(@ParametricNullness K key, @ParametricNullness V value);
 
   /**
@@ -223,7 +215,6 @@ public interface Multimap<K extends @Nullable Object, V extends @Nullable Object
    *
    * @return {@code true} if the multimap changed
    */
-  @CanIgnoreReturnValue
   boolean remove(
       @CompatibleWith("K") @CheckForNull Object key,
       @CompatibleWith("V") @CheckForNull Object value);
@@ -244,7 +235,6 @@ public interface Multimap<K extends @Nullable Object, V extends @Nullable Object
    *
    * @return {@code true} if the multimap changed
    */
-  @CanIgnoreReturnValue
   boolean putAll(@ParametricNullness K key, Iterable<? extends V> values);
 
   /**
@@ -253,7 +243,6 @@ public interface Multimap<K extends @Nullable Object, V extends @Nullable Object
    *
    * @return {@code true} if the multimap changed
    */
-  @CanIgnoreReturnValue
   boolean putAll(Multimap<? extends K, ? extends V> multimap);
 
   /**
@@ -265,7 +254,6 @@ public interface Multimap<K extends @Nullable Object, V extends @Nullable Object
    *     associated with the key. The collection <i>may</i> be modifiable, but updating it will have
    *     no effect on the multimap.
    */
-  @CanIgnoreReturnValue
   Collection<V> replaceValues(@ParametricNullness K key, Iterable<? extends V> values);
 
   /**
@@ -277,7 +265,6 @@ public interface Multimap<K extends @Nullable Object, V extends @Nullable Object
    * @return the values that were removed (possibly empty). The returned collection <i>may</i> be
    *     modifiable, but updating it will have no effect on the multimap.
    */
-  @CanIgnoreReturnValue
   Collection<V> removeAll(@CompatibleWith("K") @CheckForNull Object key);
 
   /** Removes all key-value pairs from the multimap, leaving it {@linkplain #isEmpty empty}. */
diff --git a/guava/src/com/google/common/collect/MultimapBuilder.java b/guava/src/com/google/common/collect/MultimapBuilder.java
index dddae28..2feebde 100644
--- a/guava/src/com/google/common/collect/MultimapBuilder.java
+++ b/guava/src/com/google/common/collect/MultimapBuilder.java
@@ -19,7 +19,6 @@ package com.google.common.collect;
 import static com.google.common.base.Preconditions.checkNotNull;
 import static com.google.common.collect.CollectPreconditions.checkNonnegative;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.base.Supplier;
 import java.io.Serializable;
 import java.util.ArrayList;
@@ -34,7 +33,6 @@ import java.util.Set;
 import java.util.SortedSet;
 import java.util.TreeMap;
 import java.util.TreeSet;
-import org.checkerframework.checker.nullness.qual.Nullable;
 
 /**
  * A builder for a multimap implementation that allows customization of the backing map and value
@@ -61,9 +59,8 @@ import org.checkerframework.checker.nullness.qual.Nullable;
  * @param <V0> An upper bound on the value type of the generated multimap.
  * @since 16.0
  */
-@GwtCompatible
 @ElementTypesAreNonnullByDefault
-public abstract class MultimapBuilder<K0 extends @Nullable Object, V0 extends @Nullable Object> {
+public abstract class MultimapBuilder<K0 extends Object, V0 extends Object> {
   /*
    * Leaving K and V as upper bounds rather than the actual key and value types allows type
    * parameters to be left implicit more often. CacheBuilder uses the same technique.
@@ -74,7 +71,7 @@ public abstract class MultimapBuilder<K0 extends @Nullable Object, V0 extends @N
   private static final int DEFAULT_EXPECTED_KEYS = 8;
 
   /** Uses a hash table to map keys to value collections. */
-  public static MultimapBuilderWithKeys<@Nullable Object> hashKeys() {
+  public static MultimapBuilderWithKeys<Object> hashKeys() {
     return hashKeys(DEFAULT_EXPECTED_KEYS);
   }
 
@@ -84,11 +81,11 @@ public abstract class MultimapBuilder<K0 extends @Nullable Object, V0 extends @N
    *
    * @throws IllegalArgumentException if {@code expectedKeys < 0}
    */
-  public static MultimapBuilderWithKeys<@Nullable Object> hashKeys(final int expectedKeys) {
+  public static MultimapBuilderWithKeys<Object> hashKeys(final int expectedKeys) {
     checkNonnegative(expectedKeys, "expectedKeys");
-    return new MultimapBuilderWithKeys<@Nullable Object>() {
+    return new MultimapBuilderWithKeys<Object>() {
       @Override
-      <K extends @Nullable Object, V extends @Nullable Object> Map<K, Collection<V>> createMap() {
+      <K extends Object, V extends Object> Map<K, Collection<V>> createMap() {
         return Platform.newHashMapWithExpectedSize(expectedKeys);
       }
     };
@@ -102,7 +99,7 @@ public abstract class MultimapBuilder<K0 extends @Nullable Object, V0 extends @N
    * multimap, save that if all values associated with a key are removed and then the key is added
    * back into the multimap, that key will come last in the key iteration order.
    */
-  public static MultimapBuilderWithKeys<@Nullable Object> linkedHashKeys() {
+  public static MultimapBuilderWithKeys<Object> linkedHashKeys() {
     return linkedHashKeys(DEFAULT_EXPECTED_KEYS);
   }
 
@@ -115,11 +112,11 @@ public abstract class MultimapBuilder<K0 extends @Nullable Object, V0 extends @N
    * multimap, save that if all values associated with a key are removed and then the key is added
    * back into the multimap, that key will come last in the key iteration order.
    */
-  public static MultimapBuilderWithKeys<@Nullable Object> linkedHashKeys(final int expectedKeys) {
+  public static MultimapBuilderWithKeys<Object> linkedHashKeys(final int expectedKeys) {
     checkNonnegative(expectedKeys, "expectedKeys");
-    return new MultimapBuilderWithKeys<@Nullable Object>() {
+    return new MultimapBuilderWithKeys<Object>() {
       @Override
-      <K extends @Nullable Object, V extends @Nullable Object> Map<K, Collection<V>> createMap() {
+      <K extends Object, V extends Object> Map<K, Collection<V>> createMap() {
         return Platform.newLinkedHashMapWithExpectedSize(expectedKeys);
       }
     };
@@ -153,12 +150,12 @@ public abstract class MultimapBuilder<K0 extends @Nullable Object, V0 extends @N
    * <p>Multimaps generated by the resulting builder will not be serializable if {@code comparator}
    * is not serializable.
    */
-  public static <K0 extends @Nullable Object> MultimapBuilderWithKeys<K0> treeKeys(
+  public static <K0 extends Object> MultimapBuilderWithKeys<K0> treeKeys(
       final Comparator<K0> comparator) {
     checkNotNull(comparator);
     return new MultimapBuilderWithKeys<K0>() {
       @Override
-      <K extends K0, V extends @Nullable Object> Map<K, Collection<V>> createMap() {
+      <K extends K0, V extends Object> Map<K, Collection<V>> createMap() {
         return new TreeMap<>(comparator);
       }
     };
@@ -175,7 +172,7 @@ public abstract class MultimapBuilder<K0 extends @Nullable Object, V0 extends @N
     return new MultimapBuilderWithKeys<K0>() {
       @SuppressWarnings("unchecked")
       @Override
-      <K extends K0, V extends @Nullable Object> Map<K, Collection<V>> createMap() {
+      <K extends K0, V extends Object> Map<K, Collection<V>> createMap() {
         // K must actually be K0, since enums are effectively final
         // (their subclasses are inaccessible)
         return (Map<K, Collection<V>>) new EnumMap<K0, Collection<V>>(keyClass);
@@ -183,7 +180,7 @@ public abstract class MultimapBuilder<K0 extends @Nullable Object, V0 extends @N
     };
   }
 
-  private static final class ArrayListSupplier<V extends @Nullable Object>
+  private static final class ArrayListSupplier<V extends Object>
       implements Supplier<List<V>>, Serializable {
     private final int expectedValuesPerKey;
 
@@ -200,7 +197,7 @@ public abstract class MultimapBuilder<K0 extends @Nullable Object, V0 extends @N
   private enum LinkedListSupplier implements Supplier<List<?>> {
     INSTANCE;
 
-    public static <V extends @Nullable Object> Supplier<List<V>> instance() {
+    public static <V extends Object> Supplier<List<V>> instance() {
       // Each call generates a fresh LinkedList, which can serve as a List<V> for any V.
       @SuppressWarnings({"rawtypes", "unchecked"})
       Supplier<List<V>> result = (Supplier) INSTANCE;
@@ -213,7 +210,7 @@ public abstract class MultimapBuilder<K0 extends @Nullable Object, V0 extends @N
     }
   }
 
-  private static final class HashSetSupplier<V extends @Nullable Object>
+  private static final class HashSetSupplier<V extends Object>
       implements Supplier<Set<V>>, Serializable {
     private final int expectedValuesPerKey;
 
@@ -227,7 +224,7 @@ public abstract class MultimapBuilder<K0 extends @Nullable Object, V0 extends @N
     }
   }
 
-  private static final class LinkedHashSetSupplier<V extends @Nullable Object>
+  private static final class LinkedHashSetSupplier<V extends Object>
       implements Supplier<Set<V>>, Serializable {
     private final int expectedValuesPerKey;
 
@@ -241,7 +238,7 @@ public abstract class MultimapBuilder<K0 extends @Nullable Object, V0 extends @N
     }
   }
 
-  private static final class TreeSetSupplier<V extends @Nullable Object>
+  private static final class TreeSetSupplier<V extends Object>
       implements Supplier<SortedSet<V>>, Serializable {
     private final Comparator<? super V> comparator;
 
@@ -276,16 +273,16 @@ public abstract class MultimapBuilder<K0 extends @Nullable Object, V0 extends @N
    * @param <K0> The upper bound on the key type of the generated multimap.
    * @since 16.0
    */
-  public abstract static class MultimapBuilderWithKeys<K0 extends @Nullable Object> {
+  public abstract static class MultimapBuilderWithKeys<K0 extends Object> {
 
     private static final int DEFAULT_EXPECTED_VALUES_PER_KEY = 2;
 
     MultimapBuilderWithKeys() {}
 
-    abstract <K extends K0, V extends @Nullable Object> Map<K, Collection<V>> createMap();
+    abstract <K extends K0, V extends Object> Map<K, Collection<V>> createMap();
 
     /** Uses an {@link ArrayList} to store value collections. */
-    public ListMultimapBuilder<K0, @Nullable Object> arrayListValues() {
+    public ListMultimapBuilder<K0, Object> arrayListValues() {
       return arrayListValues(DEFAULT_EXPECTED_VALUES_PER_KEY);
     }
 
@@ -295,12 +292,12 @@ public abstract class MultimapBuilder<K0 extends @Nullable Object, V0 extends @N
      *
      * @throws IllegalArgumentException if {@code expectedValuesPerKey < 0}
      */
-    public ListMultimapBuilder<K0, @Nullable Object> arrayListValues(
+    public ListMultimapBuilder<K0, Object> arrayListValues(
         final int expectedValuesPerKey) {
       checkNonnegative(expectedValuesPerKey, "expectedValuesPerKey");
-      return new ListMultimapBuilder<K0, @Nullable Object>() {
+      return new ListMultimapBuilder<K0, Object>() {
         @Override
-        public <K extends K0, V extends @Nullable Object> ListMultimap<K, V> build() {
+        public <K extends K0, V extends Object> ListMultimap<K, V> build() {
           return Multimaps.newListMultimap(
               MultimapBuilderWithKeys.this.<K, V>createMap(),
               new ArrayListSupplier<V>(expectedValuesPerKey));
@@ -309,10 +306,10 @@ public abstract class MultimapBuilder<K0 extends @Nullable Object, V0 extends @N
     }
 
     /** Uses a {@link LinkedList} to store value collections. */
-    public ListMultimapBuilder<K0, @Nullable Object> linkedListValues() {
-      return new ListMultimapBuilder<K0, @Nullable Object>() {
+    public ListMultimapBuilder<K0, Object> linkedListValues() {
+      return new ListMultimapBuilder<K0, Object>() {
         @Override
-        public <K extends K0, V extends @Nullable Object> ListMultimap<K, V> build() {
+        public <K extends K0, V extends Object> ListMultimap<K, V> build() {
           return Multimaps.newListMultimap(
               MultimapBuilderWithKeys.this.<K, V>createMap(), LinkedListSupplier.<V>instance());
         }
@@ -320,7 +317,7 @@ public abstract class MultimapBuilder<K0 extends @Nullable Object, V0 extends @N
     }
 
     /** Uses a hash-based {@code Set} to store value collections. */
-    public SetMultimapBuilder<K0, @Nullable Object> hashSetValues() {
+    public SetMultimapBuilder<K0, Object> hashSetValues() {
       return hashSetValues(DEFAULT_EXPECTED_VALUES_PER_KEY);
     }
 
@@ -330,11 +327,11 @@ public abstract class MultimapBuilder<K0 extends @Nullable Object, V0 extends @N
      *
      * @throws IllegalArgumentException if {@code expectedValuesPerKey < 0}
      */
-    public SetMultimapBuilder<K0, @Nullable Object> hashSetValues(final int expectedValuesPerKey) {
+    public SetMultimapBuilder<K0, Object> hashSetValues(final int expectedValuesPerKey) {
       checkNonnegative(expectedValuesPerKey, "expectedValuesPerKey");
-      return new SetMultimapBuilder<K0, @Nullable Object>() {
+      return new SetMultimapBuilder<K0, Object>() {
         @Override
-        public <K extends K0, V extends @Nullable Object> SetMultimap<K, V> build() {
+        public <K extends K0, V extends Object> SetMultimap<K, V> build() {
           return Multimaps.newSetMultimap(
               MultimapBuilderWithKeys.this.<K, V>createMap(),
               new HashSetSupplier<V>(expectedValuesPerKey));
@@ -343,7 +340,7 @@ public abstract class MultimapBuilder<K0 extends @Nullable Object, V0 extends @N
     }
 
     /** Uses an insertion-ordered hash-based {@code Set} to store value collections. */
-    public SetMultimapBuilder<K0, @Nullable Object> linkedHashSetValues() {
+    public SetMultimapBuilder<K0, Object> linkedHashSetValues() {
       return linkedHashSetValues(DEFAULT_EXPECTED_VALUES_PER_KEY);
     }
 
@@ -353,12 +350,12 @@ public abstract class MultimapBuilder<K0 extends @Nullable Object, V0 extends @N
      *
      * @throws IllegalArgumentException if {@code expectedValuesPerKey < 0}
      */
-    public SetMultimapBuilder<K0, @Nullable Object> linkedHashSetValues(
+    public SetMultimapBuilder<K0, Object> linkedHashSetValues(
         final int expectedValuesPerKey) {
       checkNonnegative(expectedValuesPerKey, "expectedValuesPerKey");
-      return new SetMultimapBuilder<K0, @Nullable Object>() {
+      return new SetMultimapBuilder<K0, Object>() {
         @Override
-        public <K extends K0, V extends @Nullable Object> SetMultimap<K, V> build() {
+        public <K extends K0, V extends Object> SetMultimap<K, V> build() {
           return Multimaps.newSetMultimap(
               MultimapBuilderWithKeys.this.<K, V>createMap(),
               new LinkedHashSetSupplier<V>(expectedValuesPerKey));
@@ -378,7 +375,7 @@ public abstract class MultimapBuilder<K0 extends @Nullable Object, V0 extends @N
      * <p>Multimaps generated by the resulting builder will not be serializable if {@code
      * comparator} is not serializable.
      */
-    public <V0 extends @Nullable Object> SortedSetMultimapBuilder<K0, V0> treeSetValues(
+    public <V0 extends Object> SortedSetMultimapBuilder<K0, V0> treeSetValues(
         final Comparator<V0> comparator) {
       checkNotNull(comparator, "comparator");
       return new SortedSetMultimapBuilder<K0, V0>() {
@@ -427,7 +424,7 @@ public abstract class MultimapBuilder<K0 extends @Nullable Object, V0 extends @N
    * @since 16.0
    */
   public abstract static class ListMultimapBuilder<
-          K0 extends @Nullable Object, V0 extends @Nullable Object>
+          K0 extends Object, V0 extends Object>
       extends MultimapBuilder<K0, V0> {
     ListMultimapBuilder() {}
 
@@ -447,7 +444,7 @@ public abstract class MultimapBuilder<K0 extends @Nullable Object, V0 extends @N
    * @since 16.0
    */
   public abstract static class SetMultimapBuilder<
-          K0 extends @Nullable Object, V0 extends @Nullable Object>
+          K0 extends Object, V0 extends Object>
       extends MultimapBuilder<K0, V0> {
     SetMultimapBuilder() {}
 
@@ -467,7 +464,7 @@ public abstract class MultimapBuilder<K0 extends @Nullable Object, V0 extends @N
    * @since 16.0
    */
   public abstract static class SortedSetMultimapBuilder<
-          K0 extends @Nullable Object, V0 extends @Nullable Object>
+          K0 extends Object, V0 extends Object>
       extends SetMultimapBuilder<K0, V0> {
     SortedSetMultimapBuilder() {}
 
